const express = require('express');
const app = express();
const bodyParser = require('body-parser');

const port = process.env.PORT;
console.log(`${process.env.name} is running on port:${port}`);
app.set('port', port);

app.use(bodyParser.json());

const router = require('./app/router/index');
app.use(router);

process.on('uncaughtException', function (err) {
    console.error('error :', err);
});

process.on('unhandledRejection', (err) => {
    console.error('unhandledRejection ', err);
});

// 启用数据观察器 文件更新时自动刷新内存数据
const geoip = require('geoip-lite');
geoip.startWatchingDataUpdate();

app.listen(port,()=>{
    console.log('server listen on:',port);
});